#!/bin/sh

if [ -d "/etc/systemd/system" ]; then
  echo "Installing..."
  cp hostsgreen /usr/local/bin/.
  chmod +x /usr/local/bin/hostsgreen
  cp hostsgreen.service /etc/systemd/system/.
  systemctl daemon-reload
  /usr/local/bin/hostsgreen -c
  systemctl enable hostsgreen.service
  systemctl start hostsgreen.service
  systemctl status hostsgreen.service
else
  echo "Installing..."
  cp hostsgreen /usr/local/bin/.
  chmod +x /usr/local/bin/hostsgreen
  cp hosts.green /etc/init.d/hostsgreen
  /usr/local/bin/hostsgreen -c
  service hostsgreen start
fi

